Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class Expressivity

    java.lang.Object
      org.mindswap.pellet.Expressivity

    public class Expressivity

extends java.lang.Object

Author:
  Evren Sirin

Method Summary
`void` | `compute()` Returns the expressivity of the KB.
`Expressivity` | `compute(aterm.ATermAppl c)` Return the expressivity of the KB combined with one additional concept.
`java.util.Set` | `getNominals()`
`boolean` | `hasAntiSymmmetry()`
`boolean` | `hasCardinality()`
`boolean` | `hasCardinalityD()` Returns true if a cardinality restriction (greater than 1) is defined on any datatype property
`boolean` | `hasCardinalityQ()`
`boolean` | `hasComplexSubRoles()`
`boolean` | `hasDatatype()`
`boolean` | `hasDisjointRoles()`
`boolean` | `hasDomain()`
`boolean` | `hasFunctionality()`
`boolean` | `hasFunctionalityD()` Returns true if a cardinality restriction (less than or equal to 1) is defined on any datatype property
`boolean` | `hasInverse()`
`boolean` | `hasIrreflexivity()`
`boolean` | `hasKeys()`
`boolean` | `hasNegation()`
`boolean` | `hasNominal()`
`boolean` | `hasRange()`
`boolean` | `hasReflexivity()`
`boolean` | `hasRoleHierarchy()`
`boolean` | `hasTransitivity()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### compute

    public void compute()

  Returns the expressivity of the KB.

### compute

    public Expressivity compute(aterm.ATermAppl c)

  Return the expressivity of the KB combined with one additional concept.

  Parameters:
    `c` - The additional concept considered in expressivity computation
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasCardinality

    public boolean hasCardinality()

  Returns:
    Returns the hasCardinality.

### hasCardinalityQ

    public boolean hasCardinalityQ()

  Returns:
    Returns the hasCardinality.

### hasFunctionality

    public boolean hasFunctionality()

  Returns:
    Returns the hasFunctionality.

### hasDatatype

    public boolean hasDatatype()

  Returns:
    Returns the hasDatatype.

### hasCardinalityD

    public boolean hasCardinalityD()

  Returns true if a cardinality restriction (greater than 1) is defined on any datatype property

### hasFunctionalityD

    public boolean hasFunctionalityD()

  Returns true if a cardinality restriction (less than or equal to 1) is defined on any datatype property

### hasInverse

    public boolean hasInverse()

  Returns:
    Returns the hasInverse.

### hasNegation

    public boolean hasNegation()

  Returns:
    Returns the hasNegation.

### hasNominal

    public boolean hasNominal()

  Returns:
    Returns the hasNominal.

### hasRoleHierarchy

    public boolean hasRoleHierarchy()

  Returns:
    Returns the hasRoleHierarchy.

### hasReflexivity

    public boolean hasReflexivity()

### hasIrreflexivity

    public boolean hasIrreflexivity()

### hasAntiSymmmetry

    public boolean hasAntiSymmmetry()

### hasDisjointRoles

    public boolean hasDisjointRoles()

### hasComplexSubRoles

    public boolean hasComplexSubRoles()

### hasTransitivity

    public boolean hasTransitivity()

  Returns:
    Returns the hasTransitivity.

### hasDomain

    public boolean hasDomain()

### hasRange

    public boolean hasRange()

### getNominals

    public java.util.Set getNominals()

### hasKeys

    public boolean hasKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.